osg::VertexArrayStateList Class Reference

`#include <VertexArrayState>`

## Public Member Functions

| VertexArrayStateList ()
VertexArrayStateList & | operator= (const VertexArrayStateList &rhs)
void | clear ()
bool | empty () const
unsigned int | size () const
void | resize (unsigned int newSize)
ref_ptr< VertexArrayState > & | operator[] (unsigned int pos)
const ref_ptr< VertexArrayState > & | operator[] (unsigned int pos) const
void | assignAllDispatchers ()
void | assignVertexArrayDispatcher ()
void | assignNormalArrayDispatcher ()
void | assignColorArrayDispatcher ()
void | assignSecondaryColorArrayDispatcher ()
void | assignFogCoordArrayDispatcher ()
void | assignTexCoordArrayDispatcher (unsigned int numUnits)
void | assignVertexAttribArrayDispatcher (unsigned int numUnits)

## Protected Types

typedef std::vector< osg::ref_ptr< VertexArrayState > > | Array

## Protected Attributes

Array | _array

## Member Typedef Documentation

## Array

typedef std::vector< osg::ref_ptr<VertexArrayState> > osg::VertexArrayStateList::Array

protected

## Constructor & Destructor Documentation

## VertexArrayStateList()

osg::VertexArrayStateList::VertexArrayStateList | ( |  | ) |

Referenced by operator=().

## Member Function Documentation

## assignAllDispatchers()

void osg::VertexArrayStateList::assignAllDispatchers | ( |  | ) |

## assignColorArrayDispatcher()

void osg::VertexArrayStateList::assignColorArrayDispatcher | ( |  | ) |

## assignFogCoordArrayDispatcher()

void osg::VertexArrayStateList::assignFogCoordArrayDispatcher | ( |  | ) |

## assignNormalArrayDispatcher()

void osg::VertexArrayStateList::assignNormalArrayDispatcher | ( |  | ) |

## assignSecondaryColorArrayDispatcher()

void osg::VertexArrayStateList::assignSecondaryColorArrayDispatcher | ( |  | ) |

## assignTexCoordArrayDispatcher()

void osg::VertexArrayStateList::assignTexCoordArrayDispatcher | ( | unsigned int | numUnits | ) |

## assignVertexArrayDispatcher()

void osg::VertexArrayStateList::assignVertexArrayDispatcher | ( |  | ) |

## assignVertexAttribArrayDispatcher()

void osg::VertexArrayStateList::assignVertexAttribArrayDispatcher | ( | unsigned int | numUnits | ) |

## clear()

void osg::VertexArrayStateList::clear | ( |  | ) |

inline

References _array.

## empty()

bool osg::VertexArrayStateList::empty | ( |  | ) | const

inline

References _array.

## operator=()

VertexArrayStateList & osg::VertexArrayStateList::operator= | ( | const VertexArrayStateList & | rhs | ) |

References VertexArrayStateList().

## operator[]() [1/2]

ref_ptr< VertexArrayState > & osg::VertexArrayStateList::operator[] | ( | unsigned int | pos | ) |

inline

References _array.

## operator[]() [2/2]

const ref_ptr< VertexArrayState > & osg::VertexArrayStateList::operator[] | ( | unsigned int | pos | ) | const

inline

References _array.

## resize()

void osg::VertexArrayStateList::resize | ( | unsigned int | newSize | ) |

inline

References _array.

## size()

unsigned int osg::VertexArrayStateList::size | ( |  | ) | const

inline

References _array.

## Member Data Documentation

## _array

Array osg::VertexArrayStateList::_array

mutable protected

Referenced by clear(), empty(), operator[](), operator[](), resize(), and size().

The documentation for this class was generated from the following file:

- VertexArrayState